Skip to main content
GET
Get search results from a query

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string

Set to Bearer <token> to pass token for authorization.

Query Parameters

format
enum<string>
default:json

Result format.

Available options:
json,
csv,
ris
Example:

"csv"

term
string | null
default:""

Cross-field search term. Can be left blank.

mode
enum<string>
default:all

Select search mode, see above.

Available options:
all,
citations,
papers,
question-answering
limit
integer
default:10

How many results to fetch. Up to 10,000 can be fetched at once.

offset
integer
default:0

Can be used for pagination in combination with limit.

sort
enum<string> | null

How the results should be sorted. Leave blank for generic query 'relevance'.

Available options:
date,
total_cited,
total_supported,
total_contrasted,
total_mentioned,
total_citing_publications
sort_order
enum<string> | null

Result sort order for selected sort.

Available options:
asc,
desc
title
string | null

Match text in publication title.

abstract
string | null

Match text in publication abstract.

doi
string | null

Scope the search to a single DOI (exact match). Convenience alias for a one-element dois. Combine with term to search within a known publication.

dois
string[]

Scope the search to one or more specific DOIs (exact match). Combine with term to search within a known publication.

date_from
string | null

Match publications published from this date onwards (YYYY-MM-DD or just YYYY).

date_to
string | null

Match publications published up to this date (YYYY-MM-DD or just YYYY).

citation_types
enum<string>[]

Match smart citations of certain types.

Available options:
supporting,
contrasting,
mentioning
has_retraction
boolean | null

Publication has retraction or not.

has_concern
boolean | null

Publication has editorial concern or not.

has_correction
boolean | null

Publication has correction or not.

has_erratum
boolean | null

Publication has erratum or not.

has_withdrawn
boolean | null

Publication has been withdrawn or not.

has_tally
boolean | null

Publication has smart citations made towards it or not (i.e. a Scite tally of > 0).

supporting_from
integer | null

Number of supporting citations made from publication. Leave blank for any count.

supporting_to
integer | null

Number of supporting citations made toward publication. Leave blank for any count.

mentioning_from
integer | null

Number of mentioning citations made from publication. Leave blank for any count.

mentioning_to
integer | null

Number of mentioning citations made toward publication. Leave blank for any count.

contrasting_from
integer | null

Number of contrasting citations made from publication. Leave blank for any count.

contrasting_to
integer | null

Number of contrasting citations made toward publication. Leave blank for any count.

citing_publications_from
integer | null

Number of traditional citations made from publication AKA the number of references. Leave blank for any count.

citing_publications_to
integer | null

Number of traditional citations made toward publication. Leave blank for any count.

author
string | null

Publication author name.

authors
string[]
journal
string | null

Journal in which publication appears.

journals
string[]
publisher
string | null

Publisher of the publication.

section
string | null

Publication section in which citation statement appears.

sections
string[]
paper_type
string | null

Publication type.

paper_types
string[]
affiliation
string | null

Author affiliation.

affiliations
string[]
topic
string | null

Publication topic.

topics
string[]
substances
string[]

Pubchem substance canonical name.

mesh_type
string[]

Pubmed mesh descriptor and/or qualifier for publication.

compute_aggregations
boolean
default:false

For a given search query, this flag will control whether counts are computed and returned for the possible aggregations.

aggregations
enum<string>[]

List of aggregation types to compute counts for. Only used if compute_aggregations is true.

Available options:
authors,
affiliations,
paper_types,
journals,
topics,
substances,
mesh_descriptors,
editorial_notices,
date_histogram_tally,
max_date,
min_date

Response

Successful Response

count
integer
required
aggregations
AggregationSchema · object
required
hits
SearchResultSchema · object[]
required
countIsApproximate
boolean
default:false
suggestedTerm
string | null
restrictedCites
boolean
default:false